低危 Google Go 安全漏洞

CVE编号

CVE-2017-8932

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-07-07
漏洞描述
在1.7.6之前的GO和1.8.2之前的1.8.x中,amd64 architecture的 curve P-256的 standard library ScalarMult implementation 中的一个bug会导致为特定的输入点生成不正确的结果。可以安装自适应攻击,通过向派生的正确输出提交巧尽心思构建的点和观察故障,逐步提取标量输入到 ScalarMult。这将导致针对静态ECDH的完整密钥恢复攻击,就像 popular JWT library中使用的那样。 

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/golang/go/commit/9294fa2749ffee7edbbb817a0ef9fe633136fa9c
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 golang go * Up to
(including)
1.7.5
运行在以下环境
应用 golang go 1.8 -
运行在以下环境
应用 golang go 1.8.1 -
运行在以下环境
应用 novell suse_package_hub_for_suse_linux_enterprise 12 -
运行在以下环境
系统 amazon_AMI golang * Up to
(excluding)
1.7.5-2.39.amzn1
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0
运行在以下环境
系统 debian_9 golang * Up to
(including)
1.7.4-2+deb9u1
运行在以下环境
系统 fedora_25 golang * Up to
(excluding)
1.7.6-1.fc25
运行在以下环境
系统 fedora_26 golang * Up to
(excluding)
1.8.3-2.fc26
运行在以下环境
系统 fedora_EPEL_6 golang * Up to
(excluding)
1.7.6-1.el6
运行在以下环境
系统 opensuse_Leap_42.2 golang * Up to
(excluding)
1.7.0-12.1
运行在以下环境
系统 oracle_7 golang * Up to
(excluding)
1.8.3-1.el7
运行在以下环境
系统 redhat_7 golang * Up to
(excluding)
0:1.8.3-1.el7
运行在以下环境
系统 suse_12 containerd * Up to
(excluding)
0.2.5+gitr639_422e31c-20
运行在以下环境
系统 ubuntu_18.04.5_lts golang-1.8 * Up to
(excluding)
1.8.3-2ubuntu1
运行在以下环境
系统 ubuntu_18.10 golang-1.8 * Up to
(excluding)
1.8.3-2ubuntu1
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-682 数值计算不正确
阿里云安全产品覆盖情况